### Hierarchy

- IParser

### Implemented by

- Parser

## Index

### Properties

- columnDefinitions
- content
- defaultCellStyle
- filters
- groupTagged
- grouped
- groupedContent
- sorting
- utils
- visibleGroups

### Methods

- cellRenderer
- headerRenderer
- parse
- setColumnDefinitions
- setDefaultCellStyleProperties
- toggleGroup

## Properties

### columnDefinitions

columnDefinitions: IParserColumnDefinitions

- Defined in Page/Parser.ts:33

### content

content: IPageContent

- Defined in Page/Parser.ts:28

### defaultCellStyle

defaultCellStyle: IPageCellStyle

- Defined in Page/Parser.ts:32

### filters

filters: IParserFilter[]

- Defined in Page/Parser.ts:26

### groupTagged

groupTagged: boolean

- Defined in Page/Parser.ts:34

### grouped

grouped: boolean

- Defined in Page/Parser.ts:25

### groupedContent

groupedContent: IParserGroupedContent

- Defined in Page/Parser.ts:31

### sorting

sorting: IParserSorting | null

- Defined in Page/Parser.ts:27

### utils

utils: IUtils

- Defined in Page/Parser.ts:30

### visibleGroups

visibleGroups: IParserVisibleGroups

- Defined in Page/Parser.ts:29

## Methods

### cellRenderer

- cellRenderer(params: IParserParams): IParserCellRenderer | null

- - Defined in Page/Parser.ts:41

  #### Parameters

  - ##### params: IParserParams

  #### Returns IParserCellRenderer | null

### headerRenderer

- headerRenderer(params: IParserParams): IParserCellRenderer | null

- - Defined in Page/Parser.ts:40

  #### Parameters

  - ##### params: IParserParams

  #### Returns IParserCellRenderer | null

### parse

- parse(): IParserContent

- - Defined in Page/Parser.ts:35

  #### Returns IParserContent

### setColumnDefinitions

- setColumnDefinitions(definitions: any[]): void

- - Defined in Page/Parser.ts:37

  #### Parameters

  - ##### definitions: any[]

  #### Returns void

### setDefaultCellStyleProperties

- setDefaultCellStyleProperties(style: IPageCellStyle): void

- - Defined in Page/Parser.ts:39

  #### Parameters

  - ##### style: IPageCellStyle

  #### Returns void

### toggleGroup

- toggleGroup(index: number): void

- - Defined in Page/Parser.ts:36

  #### Parameters

  - ##### index: number

  #### Returns void

Generated using TypeDoc